# debuginfo not supported with Go
%global debug_package %{nil}

%global org jaegertracing

%global orgdir src/github.com/%{org}

%global builddir %{orgdir}/%{name}

Name:           jaeger-operator
Version:        v1.13.1.redhat11
Release:        1%{?dist}
Summary:        Jaeger operator.

License:        Apache-2.0
URL:            https://github.com/jaegertracing/jaeger-operator
#The source should be with a git commit:
Source0:        %{name}-%{version}.tar.gz

BuildArch: x86_64
BuildRequires: go-toolset-1.11-golang
BuildRequires: go-toolset-1.11-runtime

%description
The Jaeger Operator.

%prep
rm -rf %{name}-%{version}
pushd ${PWD}
%setup
%setup -T -D
popd
mkdir -p tmpdir/%{orgdir}
mv %{name}-%{version} tmpdir/%{builddir}
mv tmpdir %{name}-%{version}

%build
source /opt/rh/go-toolset-1.11/enable
export GOPATH=${PWD}
export GOBIN=${PWD}/bin
pushd %{builddir}
export CGO_ENABLED=0
export GOOS=linux
export GO111MODULE=off
export installsuffix=cgo
export JAEGER_VERSION=`grep -v '\#' jaeger.version`
export OPERATOR_VERSION=%{version}
export VERSION_PKG="github.com/jaegertracing/jaeger-operator/pkg/version"
export VERSION_DATE=`date -u +'%Y-%m-%dT%H:%M:%SZ'`
export LD_FLAGS="-X ${VERSION_PKG}.version=${OPERATOR_VERSION} -X ${VERSION_PKG}.buildDate=${VERSION_DATE} -X ${VERSION_PKG}.defaultJaeger=${JAEGER_VERSION}"

#make build
go build -o "build/_output/bin/jaeger-operator" -ldflags "${LD_FLAGS}"

popd

%install
mkdir -p %{buildroot}/usr/bin
cp %{builddir}/build/_output/bin/jaeger-operator %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/bin/scripts
cp %{builddir}/build/bin/entrypoint %{buildroot}/usr/bin/scripts
cp %{builddir}/build/bin/user_setup %{buildroot}/usr/bin/scripts
cp %{builddir}/scripts/cert_generation.sh %{buildroot}/usr/bin/scripts

%clean
rm -rf %{buildroot}

%files
/usr/bin/jaeger-operator
/usr/bin/scripts/entrypoint
/usr/bin/scripts/user_setup
/usr/bin/scripts/cert_generation.sh

